Outlet (Core Simulator)
=======================

Types
-----

.. automodule:: lab.outlet.types
   :members:

Constants
---------

.. automodule:: lab.outlet.constants
   :members:

Protocols
---------

.. automodule:: lab.outlet.protocols
   :members:

Platform
--------

.. automodule:: lab.outlet.platform
   :members:

Stock & Position
----------------

.. automodule:: lab.outlet.stock
   :members:

Observation
-----------

.. automodule:: lab.outlet.observation
   :members:

Mechanisms
----------

Posted Price
~~~~~~~~~~~~

.. automodule:: lab.outlet.mechanisms.posted_price
   :members:

Two-Sided (Market Making)
~~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: lab.outlet.mechanisms.two_sided
   :members:

Auction
~~~~~~~

.. automodule:: lab.outlet.mechanisms.auction
   :members:

Objectives
----------

.. automodule:: lab.outlet.objectives.base
   :members:

.. automodule:: lab.outlet.objectives.penalties
   :members:

.. automodule:: lab.outlet.objectives.factory
   :members:

Math Utilities
--------------

.. automodule:: lab.outlet.math_util
   :members:
